Bug 845613 - System status discrepancy between Systems list and selected system panel
System status discrepancy between Systems list and selected system panel
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 11:10 EDT by Og Maciel
Modified: 2013-03-27 16:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The System List and Subscription Panel showed inconsistent system status icons. This fix updates the System List with the proper statuses. This ensures consistent messaging.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:51:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (133.80 KB, image/png)
2012-08-03 11:10 EDT, Og Maciel
no flags Details
The other screenshot is incorrect, use this one (70.50 KB, image/png)
2012-08-03 11:23 EDT, Og Maciel
no flags Details
The other screenshot is incorrect, use this one (71.57 KB, image/png)
2012-08-03 11:24 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-08-03 11:10:42 EDT
Created attachment 602150 [details]
Screenshot

Description of problem:

The screenshot (attached) shows that my qeclient09 system is non-compliant ("red") but its Subscriptions panel shows that it is partially compliant ("yellow"). Having those 2 match would make things less confusing.

Version-Release number of selected component (if applicable):

* candlepin-0.5.32-1.el6.noarch
* candlepin-tomcat6-0.5.32-1.el6.noarch
* katello-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-all-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.6-1.el6.noarch
* katello-cli-1.1.0-1.git.13.d10e8a3.el6_3.noarch
* katello-cli-common-1.1.0-1.git.13.d10e8a3.el6_3.noarch
* katello-common-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-configure-1.1.1-1.git.0.3794e67.el6_3.noarch
* katello-glue-candlepin-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-glue-foreman-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-glue-pulp-1.1.2-1.git.2.22b3375.el6_3.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.2.6-1.el6.noarch
* pulp-1.1.11-1.el6.noarch
* pulp-common-1.1.11-1.el6.noarch
* pulp-selinux-server-1.1.11-1.el6.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Og Maciel 2012-08-03 11:23:30 EDT
Created attachment 602159 [details]
The other screenshot is incorrect, use this one

The other screenshot is incorrect, use this one
Comment 2 Og Maciel 2012-08-03 11:24:45 EDT
Created attachment 602160 [details]
The other screenshot is incorrect, use this one

The other screenshot is incorrect, use this one
Comment 3 Tom McKay 2012-08-28 07:13:40 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 2db57ae067266ff4ba037cee5f68ad60f0a0d3a4
      https://github.com/Katello/katello/commit/2db57ae067266ff4ba037cee5f68ad60f0a0d3a4
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-08-27 (Mon, 27 Aug 2012)

Updating a system's subscriptions in right hand panel will once again mirror status icon color for that system in left hand list.
Comment 5 Og Maciel 2012-09-17 17:04:27 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 7 errata-xmlrpc 2012-12-04 14:51:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.